
Member Nodes - Task #8606

MNDeployment # 8186 (Operational): ESS-DIVE, including CDIAC

Story # 8588 (Closed): ESSDIVE: Move to production

ESSDIVE: Implement in Production Environment

2018-06-12 15:35 - Amy Forrester

Status: Closed Start date: 2018-06-12

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Story Points:    

Description

Ensure that the production version of the MN is ready. This is either a new instance with production content, or the test instance that

has been completely cleaned (content and logs).

! Disable Sync if re-using test software !

Software Configurations / Node Document / System Metadata checks:

URI in node software config shows production version

If applicable, adapter metadata reflects production URI too.

System metadata reflects production URI

Target CN is production hostname.

Register Contact Subject identity in production version of DataONE LDAP w/ Sign in Link at https://search.dataone.org

D1 admin approves contact subject in production LDAP.

Request production certificates with prod version of URI and download w/ NCEAS uid. Install.

History

#1 - 2018-06-12 15:36 - Amy Forrester

- Subject changed from Implement in Production Environment to ESSDIVE: Implement in Production Environment

#2 - 2018-08-02 16:35 - Amy Forrester

8/2/18: from Chris

Since things went well in stage, we will also turn sync on in production and make sure things look good.  All of this will be done behind the

scenes so they don’t show up in the Search UI yet. They only have 9901 objects in their system, so it shouldn’t be much of a load on the CNs.

#3 - 2018-08-06 22:58 - Chris Jones

- % Done changed from 0 to 100

- Assignee set to Chris Jones

- Status changed from New to Closed

The ESS-DIVE node has successfully been registered in the production environment, production certificates have been issued and installed, CN

operational attributes have been set (status = upcoming).  I have approved the node in production so synchronization will begin, but it won't show up

on https://search.dataone.org yet.
